"use strict";
/**
 * The observable that emits `true` if
 * [the device is disconnected from the network](https://developer.mozilla.org/en-US/docs/Web/API/Navigator/onLine),
 * and emits `false` if the device if connected to the network.
 *
 * ```ts
 * import abortWhen from 'react-executor/plugin/abortWhen';
 * import navigatorOffline from 'react-executor/observable/navigatorOffline';
 *
 * const executor = useExecutor('test', heavyTask, [
 *   abortWhen(navigatorOffline)
 * ]);
 * ```
 *
 * @module observable/navigatorOffline
 */
Object.defineProperty(exports, "__esModule", { value: true });
const not_js_1 = require("./not.js");
const navigatorOnline_js_1 = require("./navigatorOnline.js");
/**
 * The observable that emits `true` if
 * [the device is disconnected from the network](https://developer.mozilla.org/en-US/docs/Web/API/Navigator/onLine),
 * and emits `false` if the device if connected to the network.
 */
const navigatorOffline = (0, not_js_1.default)(navigatorOnline_js_1.default);
exports.default = navigatorOffline;
