"use strict";
/**
 * The observable that emits `true` when
 * [the window looses focus](https://developer.mozilla.org/en-US/docs/Web/API/Document/visibilityState), and emits
 * `false` when the window receives focus.
 *
 * ```ts
 * import abortWhen from 'react-executor/plugin/abortWhen';
 * import windowBlurred from 'react-executor/observable/windowBlurred';
 *
 * const executor = useExecutor('test', heavyTask, [
 *   abortWhen(windowBlurred)
 * ]);
 * ```
 *
 * @module observable/windowBlurred
 */
Object.defineProperty(exports, "__esModule", { value: true });
const not_js_1 = require("./not.js");
const windowFocused_js_1 = require("./windowFocused.js");
/**
 * The observable that emits `true` when
 * [the window looses focus](https://developer.mozilla.org/en-US/docs/Web/API/Document/visibilityState), and emits
 * `false` when the window receives focus.
 */
const windowBlurred = (0, not_js_1.default)(windowFocused_js_1.default);
exports.default = windowBlurred;
