/**
 * The plugin that binds all methods to the executor instance.
 *
 * ```ts
 * import bindAll from 'react-executor/plugin/bindAll';
 *
 * const executor = useExecutor('test', 42, [bindAll()]);
 * ```
 *
 * @module plugin/bindAll
 */
import type { ExecutorPlugin } from '../types.js';
/**
 * Binds all methods to the executor instance.
 */
export default function bindAll(): ExecutorPlugin;
