/**
 * The plugin that invalidates the settled executor result after a delay.
 *
 * ```ts
 * import invalidateAfter from 'react-executor/plugin/invalidateAfter';
 *
 * const executor = useExecutor('test', 42, [invalidateAfter(5_000)]);
 * ```
 *
 * @module plugin/invalidateAfter
 */
import type { ExecutorPlugin } from '../types.js';
/**
 * Invalidates the settled executor result after a delay.
 *
 * @param delay The delay in milliseconds after which the executor result is invalidated.
 */
export default function invalidateAfter(delay: number): ExecutorPlugin;
