import { SSRExecutorManager, SSRExecutorManagerOptions } from '../SSRExecutorManager.js';
/**
 * Streaming executor manager for NodeJS environment.
 */
export declare class PipeableSSRExecutorManager extends SSRExecutorManager {
    /**
     * The stream that includes both React rendering chunks and executor hydration chunks.
     */
    readonly stream: NodeJS.WritableStream;
    /**
     * Creates a new {@link PipeableSSRExecutorManager} instance.
     *
     * @param stream The output stream to which both React chunks and executor hydration chunks are written.
     * @param options Additional options.
     */
    constructor(stream: NodeJS.WritableStream, options?: SSRExecutorManagerOptions);
}
