"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ExecutorManagerProvider = void 0;
exports.useExecutorManager = useExecutorManager;
const react_1 = require("react");
const ExecutorManager_js_1 = require("./ExecutorManager.js");
const ExecutorManagerContext = (0, react_1.createContext)(new ExecutorManager_js_1.ExecutorManager());
/**
 * > — Big man in a suit of armour. Take that off, what are you?
 * >
 * > — Executor, manager, provider.
 *
 * Provides the {@link ExecutorManager} to underlying components.
 */
exports.ExecutorManagerProvider = ExecutorManagerContext.Provider;
/**
 * Returns the current executor manager.
 */
function useExecutorManager() {
    return (0, react_1.useContext)(ExecutorManagerContext);
}
